<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:aop="http://www.springframework.org/schema/aop"
	xsi:schemaLocation="
      http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
	  http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop.xsd">

	<bean id="observerAdvice"
		class="tudu.aspects.observer.aspectj.ObserverAdvice">
		<property name="event">
			<bean class="tudu.service.events.impl.EventImpl">
				<property name="listeners">
					<set>
						<bean
							class="tudu.aspects.observer.DummyObserver" />
					</set>
				</property>
			</bean>
		</property>
	</bean>

	<aop:config>
		<aop:aspect id="observerAspect" ref="observerAdvice">
			<aop:pointcut id="coupe"
				expression="execution(* tudu.domain.dao.TodoDAO.*(..))" />
			<aop:advice kind="afterReturning" method="greffon"
				pointcut-ref="coupe" />
		</aop:aspect>
	</aop:config>

</beans>